// User class

#include "user.h"

#include <assert.h>


CUser::CUser()
{

}

CUser::~CUser()
{
    // Join up the list
    if(next != NULL) next->prev = prev;
    if(prev != NULL) prev->next = next;

    // Give the server a new root user if it will end up having none
    if(CServer::GetServer()->rootuser == this)
    {
        CServer::GetServer()->rootuser = next;

        // If this is the root user, it should have no previous node
        assert(prev == NULL);
    }

    // Add later - save user data to a file
}
